using System;

class Program
{
    static void Main()
    {
        string[] s = new string[long.MaxValue];
        s = Console.ReadLine().Split();
        long N = long.Parse(s[0]);
        long L = long.Parse(s[1]);
        long index = -1;

        s = Console.ReadLine().Split();
        for(long i = 0; i < N; i++)
        {
            if(long.Parse(s[i]) <= L)
            {
                index = i + 1;
                break;
            }
        }
        Console.WriteLine(index);
    }
}